com.genesyslab.wfm8.API.service.calendar850

## Class CalBonusBalance

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar850.CalBonusBalance

- All Implemented Interfaces:
    java.io.Serializable

      public class CalBonusBalance
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `bonusAwardedHours`
    `protected double` | `bonusExpiredHours`
    `protected int` | `bonusID`
    `protected double` | `bonusUsedHours`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalBonusBalance()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getBonusAwardedHours()` Gets the value of the bonusAwardedHours property.
    `double` | `getBonusExpiredHours()` Gets the value of the bonusExpiredHours property.
    `int` | `getBonusID()` Gets the value of the bonusID property.
    `double` | `getBonusUsedHours()` Gets the value of the bonusUsedHours property.
    `int` | `hashCode()`
    `void` | `setBonusAwardedHours(double value)` Sets the value of the bonusAwardedHours property.
    `void` | `setBonusExpiredHours(double value)` Sets the value of the bonusExpiredHours property.
    `void` | `setBonusID(int value)` Sets the value of the bonusID property.
    `void` | `setBonusUsedHours(double value)` Sets the value of the bonusUsedHours property.
    `java.lang.String` | `toString()`
    `CalBonusBalance` | `withBonusAwardedHours(double value)`
    `CalBonusBalance` | `withBonusExpiredHours(double value)`
    `CalBonusBalance` | `withBonusID(int value)`
    `CalBonusBalance` | `withBonusUsedHours(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### bonusID

          protected int bonusID

    - #### bonusAwardedHours

          protected double bonusAwardedHours

    - #### bonusUsedHours

          protected double bonusUsedHours

    - #### bonusExpiredHours

          protected double bonusExpiredHours

  - ### Constructor Detail

    - #### CalBonusBalance

          public CalBonusBalance()

  - ### Method Detail

    - #### getBonusID

          public int getBonusID()

      Gets the value of the bonusID property.

    - #### setBonusID

          public void setBonusID(int value)

      Sets the value of the bonusID property.

    - #### getBonusAwardedHours

          public double getBonusAwardedHours()

      Gets the value of the bonusAwardedHours property.

    - #### setBonusAwardedHours

          public void setBonusAwardedHours(double value)

      Sets the value of the bonusAwardedHours property.

    - #### getBonusUsedHours

          public double getBonusUsedHours()

      Gets the value of the bonusUsedHours property.

    - #### setBonusUsedHours

          public void setBonusUsedHours(double value)

      Sets the value of the bonusUsedHours property.

    - #### getBonusExpiredHours

          public double getBonusExpiredHours()

      Gets the value of the bonusExpiredHours property.

    - #### setBonusExpiredHours

          public void setBonusExpiredHours(double value)

      Sets the value of the bonusExpiredHours property.

    - #### withBonusID

          public CalBonusBalance withBonusID(int value)

    - #### withBonusAwardedHours

          public CalBonusBalance withBonusAwardedHours(double value)

    - #### withBonusUsedHours

          public CalBonusBalance withBonusUsedHours(double value)

    - #### withBonusExpiredHours

          public CalBonusBalance withBonusExpiredHours(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.